Loading...
Searching...
No Matches
pcl::segmentation::grabcut::Color Struct Reference

Structure to save RGB colors into floats. More...

`#include <pcl/segmentation/grabcut_segmentation.h>`

## Public Member Functions

| Color ()
| Color (float _r, float _g, float _b)
| Color (const pcl::RGB &color)
template<typename PointT >
| Color (const PointT &p)
template<typename PointT >
| operator PointT () const

## Public Attributes

float | r
float | g
float | b

## Detailed Description

Structure to save RGB colors into floats.

Definition at line 175 of file grabcut_segmentation.h.

## Constructor & Destructor Documentation

## Color() [1/4]

pcl::segmentation::grabcut::Color::Color | ( |  | ) |

inline

Definition at line 177 of file grabcut_segmentation.h.

## Color() [2/4]

pcl::segmentation::grabcut::Color::Color | ( | float | _r,
|  | float | _g,
|  | float | _b
| ) |  |

inline

Definition at line 178 of file grabcut_segmentation.h.

## Color() [3/4]

pcl::segmentation::grabcut::Color::Color | ( | const pcl::RGB & | color | ) |

inline

Definition at line 179 of file grabcut_segmentation.h.

## Color() [4/4]

template<typename PointT >

pcl::segmentation::grabcut::Color::Color | ( | const PointT & | p | ) |

Definition at line 61 of file grabcut_segmentation.hpp.

References b, g, and r.

## Member Function Documentation

## operator PointT()

template<typename PointT >

pcl::segmentation::grabcut::Color::operator PointT | ( |  | ) | const

Definition at line 69 of file grabcut_segmentation.hpp.

## Member Data Documentation

## b

float pcl::segmentation::grabcut::Color::b

Definition at line 187 of file grabcut_segmentation.h.

Referenced by Color(), and pcl::squaredEuclideanDistance().

## g

float pcl::segmentation::grabcut::Color::g

Definition at line 187 of file grabcut_segmentation.h.

Referenced by Color(), and pcl::squaredEuclideanDistance().

## r

float pcl::segmentation::grabcut::Color::r

Definition at line 187 of file grabcut_segmentation.h.

Referenced by Color(), and pcl::squaredEuclideanDistance().

The documentation for this struct was generated from the following files:

- pcl/segmentation/grabcut_segmentation.h
- pcl/segmentation/impl/grabcut_segmentation.hpp